QwtPlotMappedItem(3)

NAME
QwtPlotMappedItem -

SYNOPSIS

Inherits QwtPlotItem.

Inherited by QwtPlotCurve, QwtPlotGrid, and QwtPlotMarker.

Detailed Description

Base class for items on the plot canvas, that are attached to x and y axes.

Definition at line 50 of file qwt_plot_item.h.

  Public Member Functions
QwtPlotMappedItem (QwtPlot *parent, bool nbl=TRUE)
void setAxis (int xAxis, int yAxis)
void setXAxis (int axis)
int xAxis () const
void setYAxis (int axis)
int yAxis () const

Constructor & Destructor Documentation

  QwtPlotMappedItem::QwtPlotMappedItem (QwtPlot * parent, bool nbl = TRUE)

Constructor.

Definition at line 62 of file qwt_plot_item.cpp.

Member Function Documentation

  void QwtPlotMappedItem::setAxis (int xAxis, int yAxis)

Set x and y axis.

Definition at line 70 of file qwt_plot_item.cpp.

References QwtPlotItem::itemChanged().

Referenced by QwtPlot::insertCurve(), QwtPlot::insertLineMarker(), and QwtPlot::insertMarker().

  void QwtPlotMappedItem::setXAxis (int axis)

Set y axis.

Definition at line 82 of file qwt_plot_item.cpp.

References QwtPlotItem::itemChanged().

Referenced by QwtPlot::setCurveXAxis(), QwtPlot::setGridXAxis(), and QwtPlot::setMarkerXAxis().

  void QwtPlotMappedItem::setYAxis (int axis)

Set y axis.

Definition at line 92 of file qwt_plot_item.cpp.

References QwtPlotItem::itemChanged().

Referenced by QwtPlot::setCurveYAxis(), QwtPlot::setGridYAxis(), and QwtPlot::setMarkerYAxis().

  int QwtPlotMappedItem::xAxis () const

Return xAxis.

Definition at line 102 of file qwt_plot_item.cpp.

Referenced by QwtPlot::closestCurve(), QwtPlot::closestMarker(), QwtPlot::curveXAxis(), QwtPlot::drawCanvasItems(), QwtPlot::drawCurve(), QwtPlot::gridXAxis(), QwtPlot::markerXAxis(), and QwtPlot::updateAxes().

  int QwtPlotMappedItem::yAxis () const

Return yAxis.

Definition at line 108 of file qwt_plot_item.cpp.

Referenced by QwtPlot::closestCurve(), QwtPlot::closestMarker(), QwtPlot::curveYAxis(), QwtPlot::drawCanvasItems(), QwtPlot::drawCurve(), QwtPlot::gridYAxis(), QwtPlot::markerYAxis(), and QwtPlot::updateAxes().

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.